input_ff_create
Prev | Chapter 25. Input Subsystem | Next

## Name

input_ff_create — create force-feedback device

## Synopsis

`int input_ff_create (` | struct input_dev * | dev,
| int | max_effects`)`;

## Arguments

`dev`

  input device supporting force-feedback

`max_effects`

  maximum number of effects supported by the device

## Description

This function allocates all necessary memory for a force feedback portion of an input device and installs all default handlers. `dev`->ffbit should be already set up before calling this function. Once ff device is created you need to setup its upload, erase, playback and other handlers before registering input device

Prev | Up | Next
input_ff_event | Home | input_ff_destroy